Good morning,
i need your help, i am creating nodes in c # and i encountered this problem: when a list contains a null value when i put it in a loop, the script is not executed and a list with a different structure is returned to me.
I did several tests with list management methods (List.Contains, List.Remove, …) and I could not get the desired result, I realized the problem is in null.
public static List<List<Autodesk.DesignScript.Geometry.Line>> BordiLateraliSx_Foreach(List<List<Autodesk.DesignScript.Geometry.Line>> BordiLaterali)
{
foreach (List<Autodesk.DesignScript.Geometry.Line> cell in BordiLaterali)
{
foreach (Autodesk.DesignScript.Geometry.Line line in cell)
{
}
}
return BordiLaterali;
}
this is the result of the node:
Can you give me a tip? Thanks a lot in advance